Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 576742 (python-3.5-stable) - dev-lang/python:3.5 stable tracker
Summary: dev-lang/python:3.5 stable tracker
Status: RESOLVED FIXED
Alias: python-3.5-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal enhancement with 4 votes (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard: Tracker
Keywords:
Depends on: python-abi-letters 571708 585060 590244 590458 600614 601786 602484 605288 605962 605964 605966 605968 605970 605972 605974 605976 605980 605982 605984 605986 605988 605990 605992 605994 605996 605998 606000 606002 606004 606006 606008 606010 606014 606016 606018 606020 606022 606024 606026 606028 606030 606032 606034 606036 606038 606040 606042 606044 606046 606048 606050 606052 606054 606056 606058 606060 606062 606064 606066 606068 606070 606072 606074 606076 606078 606148 606150 606152 606174 606176 606178 606180 606182 606186 606188 606190 606192 606196 606198 606200 606202 606204 606206 606208 606210 606212 606214 606216 606218 606220 606222 606224 606226 606230 606232 606234 606236 606238 606240 606242 606250 606266 606268 606270 606272 606274 606276 606278 606280 606282 606284 606286 606292 606294 606296 606298 606300 606302 606304 606306 606308 606310 606312 606314 606316 606318 606320 606322 606324 606326 606328 606330 606332 606334 606336 606338 606340 606342 606344 606346 606348 606350 606352 606354 606356 606358 606360 606362 606386 606388 606390 606392 606394 606396 606398 606400 606402 606404 606406 606408 606410 606412 606414 606416 606418 606420 606422 606424 606426 606428 607170 608438 612264 616230 616236 616300 616438 616440 616448 616454 616456 616496 616500 618876 619986 620124 620156 620940 624946 624948 624950 624990 624992 624994 624996 624998 625000 625002 625004 625006 625008 625010 625018 625020 625022 625024 625026 625028 625030 625032 625034 625036 625038 625040 625042 625044 625046 625048 625050 625052 625054 625056 625058 625060 625062 625066 625068 625070 625072 625074 625076 625078 625080 625082 625084 625086 625088 625090 625092 625094 625096 625098 625100 CVE-2017-7546, CVE-2017-7547, CVE-2017-7548 631998
Blocks:
  Show dependency tree
 
Reported: 2016-03-08 03:55 UTC by R030t1
Modified: 2019-09-20 12:49 UTC (History)
12 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description R030t1 2016-03-08 03:55:09 UTC
Dear Sirs and Madams,

I do respectfully request the stabilization of dev-lang/python:3.5 and the ability for co-installation of 3.4 and 3.5. Package has been in use multiple months as a PYTHON_TARGET.

Inclusion in PYTHON_SINGLE_TARGET still leads to breakage in old hardened/SELinux tools. Otherwise package has withstood multiple months of testing, which may have not been exhaustive (though close).

Respectfully,
    Fingers Typing on a Keyboard
Comment 1 R030t1 2016-03-08 05:36:00 UTC
Portage 2.2.26 (python 2.7.11-final-0, hardened/linux/amd64/selinux, gcc-4.9.3, glibc-2.21-r2, 4.4.2-hardened x86_64)
=================================================================
System uname: Linux-4.4.2-hardened-x86_64-Intel-R-_Core-TM-_i5-4278U_CPU_@_2.60GHz-with-gentoo-2.2
KiB Mem:     8139328 total,   3891848 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Mon, 07 Mar 2016 00:45:01 +0000
sh bash 4.3_p42-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p42-r1::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.11-r2::gentoo, 3.4.3-r7::gentoo, 3.5.1-r2::gentoo
dev-util/cmake:           3.3.1-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.19.1::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.12.6::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 5.3.0::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.21-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 0

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox selinux sesandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X acl amd64 avx avx2 berkdb bindist bzip2 cli consolekit cracklib crypt cxx dbus dri egl evdev gdbm gles hardened iconv ipv6 justify mmx mmxext modules multilib ncurses nls nptl open_perms opencv opengl openmp pam pax_kernel pcre pie pulseaudio qt5 readline seccomp selinux session sse sse2 ssl ssp tcpd unconfined unicode urandom vim-syntax wayland xattr xcb xrandr xtpax zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 qemu" INPUT_DEVICES="udev evdev synaptics wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_5" QEMU_SOFTMMU_TARGETS="x86_64 arm arm64" QEMU_USER_TARGETS="x86_64 arm arm64" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="intel i915 i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-05 05:57:16 UTC
I think we'll also enable the new ABIFLAGS while switching to it.
Comment 3 Leho Kraav (:macmaN @lkraav) 2016-06-18 20:32:09 UTC
Stable app-text/iso-codes-3.68 just started requiring python-3.5 this week.
Comment 4 Pacho Ramos gentoo-dev 2016-06-20 19:26:55 UTC
(In reply to Leho Kraav (:macmaN @lkraav) from comment #3)
> Stable app-text/iso-codes-3.68 just started requiring python-3.5 this week.

No, it works for 3.4 and 3.5, not only 3.5
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-22 20:20:26 UTC
Packages that enable support for 3.4 but not 3.5:
https://qa-reports.gentoo.org/output/gpyutils/34-to-35.txt

Packages that need newer versions stabilized to support 3.5:
https://qa-reports.gentoo.org/output/gpyutils/34-to-35-stablereq.txt
Comment 6 Linear Systems Tech Svcs. 2016-12-06 22:20:34 UTC
BUMPing for the imminent release of Python 3.6 upstream.

(Last beta release of Python 3.6, e.g. python-3.6b04 was released 2016-11-22 and it is stated that it will be the last beta release of Python 3.6)
Comment 7 Mike Gilbert gentoo-dev 2016-12-06 22:40:28 UTC
(In reply to Linear Systems Tech Svcs. from comment #6)
> BUMPing for the imminent release of Python 3.6 upstream.

Please refrain from leaving useless comments on this bug report. We are all aware of the situation. Thanks.
Comment 8 Agostino Sarubbo gentoo-dev 2016-12-28 08:41:32 UTC
Dear Maintainer (or who is mainly involved in this stable request),

This is an auto-generated message that will move the current component to the new component Stabilization.
To ensure that the stabilization will proceed correctly, please fill the fields "Atoms to stabilize" and "Runtime testing required" as described here:
https://archives.gentoo.org/gentoo-dev/message/4b2ef0e9aa7588224b8ae799c5fe31fa
Comment 9 Pacho Ramos gentoo-dev 2017-01-17 09:24:17 UTC
(In reply to Michał Górny from comment #5)
> Packages that enable support for 3.4 but not 3.5:
> https://qa-reports.gentoo.org/output/gpyutils/34-to-35.txt

Maybe one option would be to ping Toralf for running a tinderbox after allowing python3.5 on that packages (if I don't misremember app-portage/gpyutils could be used for adding the needed line to the ebuild on a bunch). Then, at least for packages not having build+test issues, we could go and add the support.

Otherwise I doubt how we will solve this in the near future... and since this is going to be repeated on every release... :/ Even if I (and other individuals) are trying to add the support when we find a package with it missing, it escalates really bad for the whole tree... specially when we need to do this on every python bump. In other distributions, like Fedora now that is moving to python3.6, they do this building+test to add the support in the development tree, we could do the same adding that as new revisions for getting them tested on "testing" (at least for the future python 3.6)
Comment 10 Pacho Ramos gentoo-dev 2017-01-17 09:36:30 UTC
(In reply to Michał Górny from comment #5)
[...]
> Packages that need newer versions stabilized to support 3.5:
> https://qa-reports.gentoo.org/output/gpyutils/34-to-35-stablereq.txt

Just noticed that your script would need to exclude 9999 versions from the comparison (like the case of app-portage/flaggie, that only has the support for the live version) ;)
Comment 11 Virgil Dupras gentoo-dev 2017-08-09 00:42:50 UTC
Is this stabilization tracker only for amd64 (as the "Hardware" field of the bug indicates)? If yes, it might be worth pointing out that many, many of the sub-packages stabilization requests in the "Depends on" section are already stabilized for amd64. In fact, according to my queries, only 4 packages still need amd64 stabilization: lxc, pluggy, tox and ws4py.
Comment 12 Olof Kindgren 2019-09-20 10:17:32 UTC
Should this be closed? All dependencies seems to have been fixed
Comment 13 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-09-20 12:49:37 UTC
Sure, thanks for noticing.